﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class IADefScript : MonoBehaviour
{
    private Rigidbody2D rb;
    private Animator stateMachine;

	// Use this for initialization
	void Start ()
    {
        OnEnable();
	}
	
    private void updatePosition(Vector2 position)
    {
        stateMachine.Play("Movimento");
        rb.MovePosition(rb.position + position);
    }

    public void setRigidBody(Rigidbody2D rigidBody)
    {
        rb = rigidBody;
    }

    public void updateStateMachine(AnimatorOverrideController animator)
    {
        stateMachine.runtimeAnimatorController = animator;
    }

    public void setStateMachine(Animator animator)
    {
        stateMachine = animator;
    }

    private void OnDisable()
    {
        AtkSkillScript.notify -= updatePosition;
        MovementScript.notify -= updatePosition;
    }

    private void OnEnable()
    {
        AtkSkillScript.notify = updatePosition;
        MovementScript.notify = updatePosition;
    }
}
